import 'package:chat_widget/src/chat_controller.dart';
import 'package:chat_widget/src/widgets/input_field_chat.dart';
import 'package:chat_widget/src/widgets/message.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';

class ChatWidget extends StatelessWidget {
  const ChatWidget(
      {super.key,
      required this.userId,
      required this.companyUuid,
      this.isUser = true,
      required this.url});

  final int userId;
  final String companyUuid;
  final String url;
  final bool isUser;

  @override
  Widget build(BuildContext context) {
    return GetBuilder<ChatGetPackageController>(
        init: ChatGetPackageController(
            companyUuid: companyUuid, url: url, userId: userId, isUser: isUser),
        builder: (_) {
          return Expanded(
            child: Stack(
              children: [
                Padding(
                  padding: const EdgeInsets.symmetric(horizontal: 50).r,
                  child: Column(
                    children: [
                      Expanded(child: Obx(() {
                        return ListView(
                          controller: _.scrollController,
                          padding: const EdgeInsets.all(0),
                          reverse: true,
                          children: _.listMessages.map((element) {
                            return MessageWidget(
                              message: element,
                              isUser: _.isUser,
                            );
                          }).toList(),
                        );
                      })),
                      10.verticalSpace,
                      const InputFieldChat(),
                      SizedBox(
                          height: MediaQuery.of(context).padding.bottom + 20.r)
                    ],
                  ),
                ),
                Obx(() {
                  return _.loading.value
                      ? Container(
                          height: double.infinity,
                          width: double.infinity,
                          padding: const EdgeInsets.all(100).r,
                          decoration:
                              const BoxDecoration(color: Colors.black12),
                          child: Row(
                            mainAxisAlignment: MainAxisAlignment.center,
                            children: [
                              SizedBox(
                                height: 150.r,
                                width: 150.r,
                                child: const CircularProgressIndicator(),
                              )
                            ],
                          ))
                      : const SizedBox();
                })
              ],
            ),
          );
        });
  }
}
