// To parse this JSON data, do
//
//     final channelModel = channelModelFromJson(jsonString);

import 'dart:convert';

ChannelModel channelModelFromJson(String str) =>
    ChannelModel.fromJson(json.decode(str));

String channelModelToJson(ChannelModel data) => json.encode(data.toJson());

class ChannelModel {
  ChannelModel({
    required this.status,
    required this.id,
    required this.companyId,
    required this.colaboratorId,
    required this.userId,
    required this.updatedAt,
    required this.createdAt,
  });

  int status;
  int id;
  int companyId;
  int colaboratorId;
  int userId;
  DateTime updatedAt;
  DateTime createdAt;

  factory ChannelModel.fromJson(Map<String, dynamic> json) => ChannelModel(
        status: json["status"],
        id: json["id"],
        companyId: json["company_id"],
        colaboratorId: json["colaborator_id"],
        userId: json["user_id"],
        updatedAt: DateTime.parse(json["updatedAt"]),
        createdAt: DateTime.parse(json["createdAt"]),
      );

  Map<String, dynamic> toJson() => {
        "status": status,
        "id": id,
        "company_id": companyId,
        "colaborator_id": colaboratorId,
        "user_id": userId,
        "updatedAt": updatedAt.toIso8601String(),
        "createdAt": createdAt.toIso8601String(),
      };
}
