// To parse this JSON data, do
//
//     final meetingsModel = meetingsModelFromJson(jsonString);

import 'dart:convert';

MeetingsModel meetingsModelFromJson(String str) =>
    MeetingsModel.fromJson(json.decode(str));

String meetingsModelToJson(MeetingsModel data) => json.encode(data.toJson());

class MeetingsModel {
  MeetingsModel({
    required this.id,
    required this.active,
    required this.status,
    required this.createdAt,
    required this.updatedAt,
    required this.companyId,
    required this.channelId,
  });

  int id;
  int active;
  int status;
  DateTime createdAt;
  DateTime updatedAt;
  int companyId;
  int channelId;

  factory MeetingsModel.fromJson(Map<String, dynamic> json) => MeetingsModel(
        id: json["id"],
        active: json["active"],
        status: json["status"],
        createdAt: DateTime.parse(json["createdAt"]),
        updatedAt: DateTime.parse(json["updatedAt"]),
        companyId: json["company_id"],
        channelId: json["channel_id"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "active": active,
        "status": status,
        "createdAt": createdAt.toIso8601String(),
        "updatedAt": updatedAt.toIso8601String(),
        "company_id": companyId,
        "channel_id": channelId,
      };
}
