// To parse this JSON data, do
//
//     final messageModel = messageModelFromJson(jsonString);

import 'dart:convert';

MessageModel messageModelFromJson(String str) =>
    MessageModel.fromJson(json.decode(str));

String messageModelToJson(MessageModel data) => json.encode(data.toJson());

class MessageModel {
  MessageModel(
      {this.id,
      required this.content,
      required this.type,
      required this.userId,
      required this.channelId,
      this.meetingId,
      this.colaboratorId,
      required this.companyId,
      required this.messageUserType,
      required this.messageStatus,
      this.createdAt});

  int? id;
  String content;
  dynamic type;
  int userId;
  int channelId;
  int? colaboratorId;
  int companyId;
  int? meetingId;
  String messageUserType;
  String messageStatus;
  DateTime? createdAt = DateTime.now();

  factory MessageModel.fromJson(Map<String, dynamic> json) => MessageModel(
        id: json["id"],
        content: json["content"],
        type: json["type"],
        userId: json["user_id"],
        channelId: json["channel_id"],
        colaboratorId: json["colaborator_id"],
        companyId: json["company_id"],
        meetingId: json["meeting_id"],
        messageUserType: json["message_user_type"],
        createdAt: DateTime.parse(json["createdAt"]),
        messageStatus: json["message_status"],
      );

  Map<String, dynamic> toJson() => {
        "content": content,
        "type": type,
        "user_id": userId,
        "channel_id": channelId,
        "colaborator_id": colaboratorId,
        "company_id": companyId,
        "message_user_type": messageUserType,
        "meeting_id": meetingId
      };
}
