// To parse this JSON data, do
//
//     final messagePaginate = messagePaginateFromJson(jsonString);

import 'dart:convert';

import 'package:chat_widget/src/core/models/message_model.dart';

MessagePaginate messagePaginateFromJson(String str) =>
    MessagePaginate.fromJson(json.decode(str));

String messagePaginateToJson(MessagePaginate data) =>
    json.encode(data.toJson());

class MessagePaginate {
  MessagePaginate({
    required this.status,
    required this.data,
    required this.hasNext,
    required this.pageCount,
    required this.count,
  });

  String status;
  List<MessageModel> data;
  bool hasNext;
  int pageCount;
  int count;

  factory MessagePaginate.fromJson(Map<String, dynamic> json) =>
      MessagePaginate(
        status: json["status"],
        data: List<MessageModel>.from(
            json["data"].map((x) => MessageModel.fromJson(x))),
        hasNext: json["hasNext"],
        pageCount: json["pageCount"],
        count: json["count"],
      );

  Map<String, dynamic> toJson() => {
        "status": status,
        "data": List<dynamic>.from(data.map((x) => x.toJson())),
        "hasNext": hasNext,
        "pageCount": pageCount,
        "count": count,
      };
}
