import 'package:chat_widget/src/chat_controller.dart';
import 'package:chat_widget/src/global/app_colors.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';

class InputFieldChat extends StatelessWidget {
  const InputFieldChat({
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    ChatGetPackageController ctrl = Get.find();

    return Row(
      crossAxisAlignment: CrossAxisAlignment.end,
      children: [
        Expanded(
          child: ConstrainedBox(
            constraints: BoxConstraints(maxHeight: 400.r, minHeight: 120.r),
            child: CupertinoTextField(
              controller: ctrl.textEditingController,
              padding:
                  const EdgeInsets.symmetric(horizontal: 25, vertical: 35).r,
              maxLines: null,
              minLines: null,
              expands: true,
            ),
          ),
        ),
        20.horizontalSpace,
        GestureDetector(
          onTap: () {
            ctrl.sendMessage();
          },
          child: Container(
            height: 120.r,
            width: 120.r,
            decoration: BoxDecoration(
                color: AppColors().main,
                borderRadius: BorderRadius.circular(15).r),
            child: const Icon(
              Icons.send,
              color: Colors.white,
            ),
          ),
        )
      ],
    );
  }
}
